<template>
  <div id="app">
    <if-notifications />
    <div class="container">
    <section class="section">
      <div class="top">
        <div class="columns is-mobile is-vcentered">
          <div class="column">
            <the-logo />
          </div> <!-- column -->

          <div class="column">
            <the-navbar />
          </div> <!-- column -->
        </div> <!-- columns -->
      </div>

      <div class="columns is-flex-mobile">

        <div class="column site-content">
          <router-view/>
        </div> <!-- column content -->

      </div> <!-- columns -->
    </section> <!-- section -->
    </div> <!-- container -->
    <the-footer />
  </div>
</template>

<script>
export default {
  name: 'App',
  data() {
    return {
    }
  },
  computed: {
    isAuthenticated () {
      return this.$store.state.auth.isAuthenticated
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="css">
.top {
  margin-top: 40px;
}
</style>
